> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /taleo/jobs

> Get one job posting from a company's Taleo career section by tenant, career section and requisition number (or a full posting URL): the internal job id, the title, the full posting description, the labels the career section displays and the values it fills them with, and the posting URL.

**Price:** 5 credits

**⚠️ Common errors:** 412: Career section not found, or it has no open posting with this requisition number



## OpenAPI

````yaml /openapi/jobs.json post /api/taleo/jobs
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/taleo/jobs:
    post:
      tags:
        - /taleo
      summary: /taleo/jobs
      description: >-
        Get one job posting from a company's Taleo career section by tenant,
        career section and requisition number (or a full posting URL): the
        internal job id, the title, the full posting description, the labels the
        career section displays and the values it fills them with, and the
        posting URL.


        **Price:** 5 credits


        **⚠️ Common errors:** 412: Career section not found, or it has no open
        posting with this requisition number
      operationId: __api_taleo_jobs_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TaleoJobsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TaleoJob'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    TaleoJobsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        tenant:
          type: string
          minLength: 1
        career_section:
          type: string
          minLength: 1
        contest_no:
          type: string
          minLength: 1
      type: object
      required:
        - tenant
        - career_section
        - contest_no
    TaleoJob:
      properties:
        '@type':
          type: string
          default: TaleoJob
        id:
          type: string
        tenant:
          type: string
        career_section:
          type: string
        contest_no:
          anyOf:
            - type: string
            - type: 'null'
        description_text:
          anyOf:
            - type: string
            - type: 'null'
        description_sections:
          items:
            type: string
          type: array
          default: []
        detail_labels:
          items:
            type: string
          type: array
          default: []
        detail_values:
          items:
            type: string
          type: array
          default: []
        url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
        - tenant
        - career_section
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````